POSTgetEpochInfo

Returns information about the current epoch

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsoneOf[]required

It contains following items:

  1. ConfigurationObject (optional)
params[0]object
commitmentstring (enum)

The commitment describes how finalized a block is at that point in time.

  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
minContextSlotstring

The minimum slot that the request can be evaluated at.

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

absoluteSlotinteger (uint64)

The current slot

blockHeightinteger (uint64)

The current block height

epochinteger (uint64)

The current epoch

slotIndexinteger (uint64)

The current slot relative to the start of the current epoch

slotsInEpochinteger (uint64)

The number of slots in this epoch

transactionCountinteger (uint64)

Total number of transactions processed without error since genesis

X-API-KEY
RequestCU10
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getEpochInfo",
  "params": [
    {
      "commitment": "finalized"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "absoluteSlot": 166598,
    "blockHeight": 166500,
    "epoch": 27,
    "slotIndex": 2790,
    "slotsInEpoch": 8192,
    "transactionCount": 22661093
  },
  "id": 1
}